# -*- coding: utf-8 -*-

from enum import Enum


class ReadingFeature(Enum):
    MCL_TRIGGERS_PL = 0
    SYNIZESIS = 1
    S_ELISION = 2
    HIAT = 3


class ReadingMeterFeatures(Enum):
    DOES_NOT_FIT_METER = 10
    NECESSARY_CHANGES_TO_MAKE_IT_FIT = 11
    METER = 12
    NO_USUAL_BREAK_PRESENT = 13
    HEXAMETER_BRIDGE_VIOLATED = 14


class CombinedFeatures(Enum):
    MCL_TRIGGERS_PL = 0
    SYNIZESIS = 1
    S_ELISION = 2
    DOES_NOT_FIT_METER = 3
    NECESSARY_CHANGES_TO_MAKE_IT_FIT = 4
    NO_USUAL_BREAK_PRESENT = 5
    BRIDGES_VIOLATED = 6
